[arch-commits] Commit in disorderfs/trunk (PKGBUILD)

Santiago Torres-Arias sangy at archlinux.org
Fri May 1 14:30:36 UTC 2020


    Date: Friday, May 1, 2020 @ 14:30:34
  Author: sangy
Revision: 623846

disorderfs: Gate test if /dev/fuse node exists

Modified:
  disorderfs/trunk/PKGBUILD

----------+
 PKGBUILD |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2020-05-01 14:23:18 UTC (rev 623845)
+++ PKGBUILD	2020-05-01 14:30:34 UTC (rev 623846)
@@ -26,7 +26,7 @@
 # in extra-*-build this will be with "-- -d /dev/fuse"
 check() {
   cd $pkgname-$pkgver
-  make test
+  test -e /dev/fuse && make test || echo "WARNING: Skipping tests due to missing /dev/fuse mount"
 }
 
 package() {


More information about the arch-commits mailing list